PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zher2k_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | PLASMA_Complex64_t | alpha,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | B,
|  | double | beta,
|  | PLASMA_desc * | C
| ) |  |

PLASMA_zher2k_Tile - Performs hermitian rank k update. Tile equivalent of PLASMA_zher2k(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of C is stored; = PlasmaLower: Lower triangle of C is stored.
  [in] | trans | Specifies whether the matrix A is transposed or conjugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaConjTrans: A is conjugate transposed.
  [in] | alpha | alpha specifies the scalar alpha.
  [in] | A | A is a LDA-by-ka matrix, where ka is K when trans = PlasmaNoTrans, and is N otherwise.
  [in] | B | B is a LDB-by-kb matrix, where kb is K when trans = PlasmaNoTrans, and is N otherwise.
  [in] | beta | beta specifies the scalar beta
  [in,out] | C | C is a LDC-by-N matrix. On exit, the array uplo part of the matrix is overwritten by the uplo part of the updated matrix.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zher2k
  PLASMA_zher2k_Tile_Async
  PLASMA_cher2k_Tile
  PLASMA_dher2k_Tile
  PLASMA_sher2k_Tile